# Asterisk Project : Asterisk 12 Function_FILE_FORMAT

Added by wikibot , edited by wikibot on Aug 29, 2013

# FILE_FORMAT()

### Synopsis

Return the newline format of a text file.

### Description

Return the line terminator type:

'u' - Unix "\n" format

'd' - DOS "\r\n" format

'm' - Macintosh "\r" format

'x' - Cannot be determined

### Syntax

    FILE_FORMAT(filename)

##### Arguments

- `filename`

### See Also

- Asterisk 12 Function_FILE
- Asterisk 12 Function_FILE_COUNT_LINE

### Import Version

This documentation was imported from Asterisk Version Unknown